# Offline install (only for Bitrix24)

On closed systems (without Internet access) the Itgrix module cannot be installed via a script `autoinstaller_<crm>.sh` (at `https://itgrix.ru/download/autoinstaller_<crm>.sh`). For such cases, there is an option for offline installation:

1. Download the installation file to a PC with Internet access.
2. Deliver the installation file to the server where you want to install the Itgrix module.
3. Start the installation.

Download the installation file

### Through the online interface

At <https://itgrix.ru/offline_install/> you can get the module installation file via the online interface.

![](/files/0EMo5pBMSYakGIYdO4Pu)

Select the required options and click “Download” - and the installation file will be downloaded to your computer.

### Via terminal

To get the installation file, you need to make a request to the node `https://bx24asterisk.ru/api/v3/get_offline_installer.php` with the following parameters:

* **`crm`** - short name of the CRM for which the module is installed:
  * `bx` for itgrix\_bx (Bitrix24);
* **`arch`** - short name of the processor architecture:
  * `i386` for 32-bit processors based on the architecture x86 (including i586, i686 et al.);
  * `amd64` for 64-bit processors based on the architecture x86-64 (also known as x64, Intel 64, AMD64 et al.);
* **`version`** - the version number of the version to be installed, e.g, `3.12.0`; **not necessarily:** if not specified, the current latest version will be used; should be specified, e.g., when installing a supported but not the latest version.:
  * [Change log (new versions) itgrix\_bx](/changelog-bx.md) - for Bitrix24.

#### Examples

Installing the module itgrix\_bx (Bitrix24) **current latest version** on a 64-bit server. Download the installer, e.g. by using `curl`:

```bash
curl -OJL "https://bx24asterisk.ru/api/v3/get_offline_installer.php?crm=bx&arch=amd64"
```

#### Examples

After downloading the installation file, you need to deliver it to the server where you want to install the module.

{% hint style="info" %}
The installation file is a self-extracting archive in the form of a shell script.

Example: `itgrix_bx-amd64-install-v3.12.3.sh`
{% endhint %}

All you have to do to install it is to run the file from the **as root or via sudo:**

```bash
sudo bash '<path>/itgrix_bx-amd64-install-v3.12.3.sh'
```

The installation process is similar to the online installation (through a script `autoinstaller_<crm>.sh`), but does not require downloading module files and other information - everything you need is already contained in the self-extracting archive.

{% hint style="success" %}
Installation complete.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.itgrix.com/faq/offline-install.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
